Subject: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion

From: Manuel Uberti <[email-masked]>
Date: Wed, 27 Oct 2021 13:22:27 +0200

On 27/10/21 13:19, Dmitry Gutov wrote:
> On 27.10.2021 14:10, Michael Albinus wrote:
>> Anyway, all our tests are mood. I would really appreciate if a
>> completion style author could chime in, and could investigate. I don't
>> say that there isn't an error in Tramp, but before I accept patches I
>> must understand what's up. And the proposed patch doesn't fix all cases
>> sufficiently (plus it violates the API, but this we have discussed
>> already in several rounds).
> 
> flex aside, does this completion work with the 'substring' completion style, for 
> example?

 From emacs -Q:

- (setq completion-styles '(substring))
- C-x C-f
- /ssh
- TAB

I get the *Completions* buffer with this content:

Click on a completion to select it.
In this buffer, type RET to select the completion near point.

Possible completions are:
ssh:
sshfs:
sshx:

While with the following from emacs -Q:

- (setq completion-styles '(substring))
- C-x C-f
- /ssh:
- TAB

I don't get any *Completions* buffer at all.

-- 
Manuel Uberti
www.manueluberti.eu